For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
User GuideDeveloper GuidesAPI Reference
User GuideDeveloper GuidesAPI Reference
    • Overview
  • Runtype API
      • GETGet provider status
      • GETGet available embedding models
Dashboard
LogoLogo
Runtype APIProvider Status

Get available embedding models

GET
/v1/provider-status/embedding-models
GET
/v1/provider-status/embedding-models
$curl https://api.runtype.com/v1/provider-status/embedding-models \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json"
1{
2 "models": [
3 {
4 "id": "text-embedding-ada-002",
5 "name": "Text Embedding Ada v2",
6 "provider": "OpenAI",
7 "source": "api",
8 "status": "available",
9 "customKeyProvider": "openai-embedding",
10 "dimensions": 1536,
11 "maxTokens": 8191,
12 "requiresIntegration": "openai_api_key"
13 }
14 ]
15}
Get available embedding models based on configured providers.
Was this page helpful?
Previous

Validate a prospective flow payload

Next
Built with

Authentication

AuthorizationBearer
API key or Clerk session token

Response

List of embedding models
modelslist of objects

Errors

401
Unauthorized Error
500
Internal Server Error